# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jul 21 08:28:07 2023
# ------------------------------------------------

package:
  name: prophet
  version: 1.1.4
source:
  patches:
    - setup-make-folder.patch
  sha256: 7f91e4ba322786e9512158783800b6eafb002200a7b3e9eadc13d7ff4d6e0634
  url: https://pypi.io/packages/source/p/prophet/prophet-1.1.4.tar.gz
build:
  binary_has_prefix_files:
    - /croot/prophet_1689928103713/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/lib/python3.11/site-packages/stan_model/prophet_model.bin
  number: '0'
  script: /croot/prophet_1689928103713/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  script_env:
    - PROPHET_REPACKAGE_CMDSTAN=false
  string: py311h48caa3a_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 hfd63f10_1001
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - blas 1.0 openblas
    - bottleneck 1.3.5 py311h35366a8_0
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.05.30 hd43f75c_0
    - cmdstan 2.31.0 h0953c9c_0
    - cmdstanpy 1.1.0 py311hd43f75c_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - icu 68.1 h22f4aa5_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libboost 1.73.0 ha4dbb3a_12
    - libffi 3.4.4 h419075a_0
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libopenblas 0.3.21 hc2e42e2_0
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - lz4-c 1.9.4 h419075a_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - numexpr 2.8.4 py311h69406f2_1
    - numpy 1.23.5 py311h1ee0e17_0
    - numpy-base 1.23.5 py311h0572591_0
    - openssl 3.0.9 h2f4d8fa_0
    - pandas 1.5.3 py311h6ace5ae_0
    - pip 23.1.2 py311hd43f75c_0
    - python 3.11.4 h4bb2201_0
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - pytz 2022.7 py311hd43f75c_0
    - readline 8.2 h998d150_0
    - setuptools 67.8.0 py311hd43f75c_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.41.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tbb 2021.8.0 hb8fdbf2_0
    - tbb-devel 2021.8.0 hb8fdbf2_0
    - tk 8.6.12 h241ca14_0
    - tqdm 4.65.0 py311h2163289_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311hd43f75c_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.5 h6a09583_0
  run:
    - LunarCalendar >=0.0.9
    - cmdstan
    - cmdstanpy >=1.0.4
    - convertdate >=2.1.2
    - holidays >=0.25.0
    - importlib_resources
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - matplotlib-base >=2.0.0
    - numpy >=1.23.5,<2.0a0
    - pandas >=1.0.4
    - python >=3.11,<3.12.0a0
    - python-dateutil >=2.8.0
    - tbb >=2021.8.0
    - tqdm >=4.36.1
test:
  requires:
    - notebook
    - pip
    - plotly
    - pytest
about:
  description: 'Implements a procedure for forecasting time series data based on an

    additive model where non-linear trends are fit with yearly, weekly, and

    daily seasonality, plus holiday effects. It works best with time series

    that have strong seasonal effects and several seasons of historical data.

    Prophet is robust to missing data and shifts in the trend, and typically

    handles outliers well.

    '
  dev_url: https://github.com/facebook/prophet
  doc_url: https://facebook.github.io/prophet/docs/quick_start.html
  home: https://facebook.github.io/prophet/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Automatic Forecasting Procedure
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b09bb945-7826-4393-ad3a-15a50329c730
  recipe-maintainers:
    - bletham
    - maresb
  remote_url: git@github.com:AnacondaRecipes/prophet-feedstock.git
  sha: 0dfd57ddbdecf1a1878882f1995a0b93933fba26
  skip-lints:
    - missing_pip_check
